using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查项目分类表_检查区域  T_BS_CHECK_PROJECT_CATEGORY_TYPE
    /// </summary>
    [Description("检查项目分类_检查类型")]
    public class T_BS_CHECK_PROJECT_CATEGORY_CHECKTYPE : MesEntityBase
    {
        /// <summary>
        /// 项目分类
        /// </summary>
        [Description("项目分类")]
        [DataFieldForeignKey("Nav_ProjectCategory", "Nav_ListCategoryType")]
        public Guid? PROJECT_CATEGORY_ID { get; set; }

        /// <summary>
        /// 导航：项目分类
        ///// </summary>
        [Description("导航：项目分类")]
        public virtual T_BS_CHECK_PROJECT_CATEGORY Nav_ProjectCategory { get; set; }

        /// <summary>
        /// 检查类型表
        /// </summary>
        [Description("检查类型表")]
        [DataFieldForeignKey("Nav_CheckType")]
        [FormFieldEdit]
        public Guid? CHECK_TYPE_ID { get; set; }

        /// <summary>
        /// 导航：检查类型表
        /// </summary>
        [Description("导航：检查类型表")]
        public virtual T_BS_CHECK_TYPE Nav_CheckType { get; set; }
    }
}
